Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.aa.complextype.v1
Class OrganizationAddressbookType

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.HealthCareOrganizationTypeV2
          be.fgov.ehealth.aa.complextype.v1.OrganizationAddressbookType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  OrganizationContactInformationType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-10-16T01:50:47+02:00",
               comments="JAXB RI v2.2.11")
    public class OrganizationAddressbookType

extends HealthCareOrganizationTypeV2
implements Serializable

Organization informations (identifier, contact addresses, addtitional informations, ...) that may be used by Addressbook.

Java class for OrganizationAddressbookType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrganizationAddressbookType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}HealthCareOrganizationTypeV2">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}Address" maxOccurs="unbounded" minOccurs="0"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}HealthCareAdditionalInformation" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`OrganizationAddressbookType()`

Method Summary
`List<Address>` | `getAddresses()` Gets the value of the addresses property.
`List<HealthCareAdditionalInformation>` | `getHealthCareAdditionalInformations()` Gets the value of the healthCareAdditionalInformations property.

Methods inherited from class be.fgov.ehealth.aa.complextype.v1.HealthCareOrganizationTypeV2
`getId, getNames, getOrganizationTypeCodes, getOrganizationTypeFriendlyNames, setId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrganizationAddressbookType

    public OrganizationAddressbookType()

Method Detail

### getAddresses

    public List<Address> getAddresses()

  Gets the value of the addresses property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addresses property.

  For example, to add a new item, do as follows:

          getAddresses().add(newItem);

  Objects of the following type(s) are allowed in the list `Address`

### getHealthCareAdditionalInformations

    public List<HealthCareAdditionalInformation> getHealthCareAdditionalInformations()

  Gets the value of the healthCareAdditionalInformations property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the healthCareAdditionalInformations property.

  For example, to add a new item, do as follows:

          getHealthCareAdditionalInformations().add(newItem);

  Objects of the following type(s) are allowed in the list `HealthCareAdditionalInformation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.